from cesium_script.czml.sensor import custom, rectangular


def test_rectangle() -> None:
    rect = rectangular(
        2.5,
        2.5,
        parent="JUICE",
        name="TEST_RECTANGLE",
        start_utc="2023-05-14T12:15:00",
        end_utc="2035-12-31T00:00:00",
        color=[127, 0, 0, 66],
    )
    assert rect.get("name") == "TEST_RECTANGLE"
    assert rect.get("name") == "TEST_RECTANGLE"


def test_janus() -> None:
    janus = rectangular(
        2.5,
        2.5,
        parent="JUICE",
        name="janus",
        start_utc="2023-05-14T12:15:00",
        end_utc="2035-12-31T00:00:00",
        color=[127, 0, 0, 66],
    )
    assert janus


def test_uvs() -> None:
    uvs = custom(
        [],
        parent="JUICE",
        name="janus",
        start_utc="2023-05-14T12:15:00",
        end_utc="2035-12-31T00:00:00",
        color=[127, 0, 0, 66],
    )
    assert uvs
